
/* ===== RESET & BASE STYLES ===== */
.footer-one * {
  box-sizing: border-box;
  font-family: var(--footer-text-font, "Inter"), sans-serif;
}

.footer-one a {
  word-break: break-word;
  display: inline-block;
  text-decoration: none;
}

.footer-one .container {
  width: 100%;
  max-width: var(--max-width, 1460px);
  padding: 0 var(--site-padding, 15px);
  margin: auto;
}

.footer-one.footer {
  padding: 80px 0 20px;
}

.footer-one .footer-row {
  display: flex;
  margin: 0 -15px;
}

.footer-one .footer-row .footer-col {
  padding: 0 15px;
}

.footer-one .footer-col ul {
  padding: 0;
}

.footer-one .footer-col ul li {
  list-style: none;
  padding: 0;
  margin: 0 0 18px 0;
}


.footer-one .footer-row .footer-col__one {
  width: 30%;
}
.footer-one .footer-row .footer-col__one ul {
  padding-left: 0;
}

.footer-one  p {
  margin-bottom: 20px;
}

.footer-one .footer-row .footer-col__two {
  width: 20%;
}

.footer-one .footer-row .footer-col__three {
  width: 25%;
}

.footer-one .footer-row .footer-col__four {
  width: 25%;
}

.footer-one .footer-bottom {
  display: flex;
  border-top: 1px solid var(--footer-border-color, #d9dbe9);
  padding: 15px 54px 0px 54px;
  margin-top: 25px;
}

.footer-one .footer-bottom .footer-bottom__left {
  width: 50%;
}

.footer-one .footer-bottom .footer-bottom__right {
  width: 50%;
  align-self: center;
  text-align: right;
}

.footer-one .footer-bottom .footer-bottom__right ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.footer-one .footer-bottom .footer-bottom__right ul li,
.footer-one .footer-bottom .footer-bottom__right p {
  display: inline-block;
}

.footer-one .footer-bottom .footer-bottom__right ul li a,
.footer-one .footer-bottom .footer-bottom__right p a {
  transition: all 0.3s ease;
  padding-left: 10px;
  margin-right: 10px;
}

.footer-one .footer-bottom .footer-bottom__right ul li a.no-link {
  cursor: default;
  pointer-events: none;
  text-decoration: none;
}

.footer-one .footer-bottom .footer-bottom__right ul li a:hover {
  text-decoration: none;
}

.footer-one .contact a {
  display: flex;
  align-items: center;
  position: relative;
  padding-left: 0;
  margin-bottom: 20px;
  text-decoration: none;
}



.footer-one .contact a svg,
.footer-one .contact a img {
  margin-right: 5px;
  width: 24px;
  height: 24px;
}

.footer-one .contact a svg path {
  stroke: var(--link1-color, var(--footer-link-color, #6f6c90));
}

.footer-one .quick-links {
  list-style: none;
  padding: 0;
  margin: 0;
}

.footer-one .quick-links li {
  margin-bottom: 10px;
}

.footer-one  a {
  transition: all 0.3s ease;
  text-decoration: none;
}

.footer-one  a.no-link {
  cursor: default;
  pointer-events: none;
}


.footer-one .footer-head {
  margin-bottom: 25px;
  display: block;
}

.footer-one .social-media a {
  display: inline-block;
  margin-right: 20px;
  transition: all 0.3s ease;
}

.footer-one .social-media a img {
  width: auto;
}

.footer-one .social-media a:hover {
  opacity: 0.8;
}

/* ===== RESPONSIVE STYLES ===== */

/* General responsive styles for non-controlled devices */
@media screen and (max-width: 1460px) {
  .footer-one .footer {
    padding: 40px 0;
  }
}

@media screen and (max-width: 1279px) {
  .footer-one.footer {
    padding: 40px 0 20px;
  }
  .footer-one .footer-bottom {
    padding: 15px 0 0 0;
  }
  .footer-one .footer-row {
    flex-wrap: wrap;
  }
  .footer-one .footer-row .footer-col__three {
    width: 30%;
  }
  .footer-one .footer-row .footer-col__one {
    width: 100%;
    border-bottom: 1px solid var(--footer-border-color, #d9dbe9);
    padding-bottom: 20px;
    margin-bottom: 20px;
  }
}

@media screen and (max-width: 992px) {
  .footer-one .footer-row {
    row-gap: 20px;
  }
  .footer-one .footer-row .footer-col__two,
  .footer-one .footer-row .footer-col__three,
  .footer-one .footer-row .footer-col__four {
    width: 50%;
  }
  .footer-one .footer-bottom {
    flex-wrap: wrap;
  }
  .footer-one .footer-bottom .footer-bottom__left {
    width: 100%;
  }
  .footer-one .footer-bottom .footer-bottom__right {
    width: 100%;
    text-align: left;
  }
}

@media screen and (max-width: 600px) {
  .footer-one .footer-head {
    margin-bottom: 10px;
    line-height: 20px;
  }
  .footer-one .quick-links li {
    margin-bottom: 5px;
  }
  .footer-one .footer-row .footer-col__one {
    margin-bottom: 0;
  }
  .footer-one .contact a {
    padding-left: 0;
    margin-bottom: 10px;
  }
  .footer-one .contact a svg,
  .footer-one .contact a img {
    display: none;
  }
  .footer-one .footer-bottom p {
    margin: 0;
  }
}
